

*		************************************************************************				*
*		************************************************************************				*
*		  File:				supplement.do														*
*		  Date:				Apr 2020															*
*		  Authors:			MG, NS																*
*		  Purpose:			Political Exclusion, Lost Autonomy, and Escalating Conflict over SD *
*							Forthcoming in International Organization							*
*							Supplement															*
*		  Stata version:	14																	*
*		************************************************************************				*
*		************************************************************************				*




* Set directory
cd "...Replication files"

* Open data set
use "GS_grievances_escalation.dta", replace

* Macros
global controls1 = "geo_concentrated groupsize lsepkin_adjregbase1 regaut lnlrgdpcap lnltotpop lv2x_polyarchy lfederal numb_rel_grps coldwar"
global controls2 = "groupsize lsepkin_adjregbase1 regaut lgiantoilfield mounterr noncontiguous lnlrgdpcap lnltotpop lv2x_polyarchy lfederal numb_rel_grps coldwar"
global tclaim = "c.t_claim c.t_claim#c.t_claim c.t_claim#c.t_claim#c.t_claim"
global tescal = "c.t_escal c.t_escal#c.t_escal c.t_escal#c.t_escal#c.t_escal"
global addcontrols1 = "lkin_inpower_adj1 lincidence_gov_flag lmilper_totpop newstate les_pr2 lnlnumb_othsdms_dom lctry_armedconfl lriv lnlnumb_sdms_int_adj1 larmedconfl_int_adj1 year"
global addcontrols2 = "lkin_inpower_adj1 lincidence_gov_flag landborder seashore lmilper_totpop newstate les_pr2 lnlnumb_othsdms_dom lctry_armedconfl lriv lnlnumb_sdms_int_adj1 larmedconfl_int_adj1 year"
global tescalucdp = "c.t_ucdp c.t_ucdp#c.t_ucdp c.t_ucdp#c.t_ucdp#c.t_ucdp"
global tviol = "c.t_violsd c.t_violsd#c.t_violsd c.t_violsd#c.t_violsd#c.t_violsd"




	
***********
** TABLE S4
***********


* Model 1
logit nviol_sdm_onset status_excl lost_autonomy i.region_id $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
	
* Model 2
reg nviol_sdm_onset status_excl lost_autonomy i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
	
* Model 3
logit nviol_sdm_onset status_excl lost_autonomy i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg nviol_sdm_onset status_excl lost_autonomy i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)
	
* Model 5
logit nviol_sdm_onset downgr2_incl downgr2_aut i.region_id $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
	
* Model 6
reg nviol_sdm_onset downgr2_incl downgr2_aut i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
	
* Model 7
logit nviol_sdm_onset downgr2_incl downgr2_aut i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 8
reg nviol_sdm_onset downgr2_incl downgr2_aut i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)

 


***********
** TABLE S5
***********


* Model 1 (Russia)
logit nviol_sdm_onset status_excl lost_autonomy $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1 & countries_gwid != 365, cl(countries_gwid) nolog

* Model 2 (Russia)
logit nviol_sdm_onset downgr2_incl downgr2_aut $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1 & countries_gwid != 365, cl(countries_gwid) nolog
	
* Model 3 (Nigeria)
logit nviol_sdm_onset status_excl lost_autonomy $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1 & countries_gwid != 475, cl(countries_gwid) nolog
	
* Model 4 (Nigeria)
logit nviol_sdm_onset downgr2_incl downgr2_aut $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1 & countries_gwid != 475, cl(countries_gwid) nolog
	
* Model 5 (Indonesia)
logit nviol_sdm_onset status_excl lost_autonomy $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1 & countries_gwid != 850, cl(countries_gwid) nolog
	
* Model 6 (Indonesia)
logit nviol_sdm_onset downgr2_incl downgr2_aut $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1 & countries_gwid != 850, cl(countries_gwid) nolog

* Model 7 (India)
logit nviol_sdm_onset status_excl lost_autonomy $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1 & countries_gwid != 850, cl(countries_gwid) nolog

* Model 8 (India)
logit nviol_sdm_onset downgr2_incl downgr2_aut $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1 & countries_gwid != 750, cl(countries_gwid) nolog


	
	
***********
** TABLE S6
***********



* Model 1
logit nviol_sdm_onset status_excl lost_autonomy $controls1 i.region_id $tclaim sdmhist1 $addcontrols1 if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
	
* Model 2
reg nviol_sdm_onset status_excl lost_autonomy $controls1 i.countries_gwid $tclaim sdmhist1 $addcontrols1 if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
	
* Model 3
logit nviol_sdm_onset status_excl lost_autonomy $controls2 i.region_id $tclaim sdmhist1 $addcontrols2 if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg nviol_sdm_onset status_excl lost_autonomy $controls2 i.countries_gwid $tclaim sdmhist1 $addcontrols2 if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)
	
* Model 5
logit nviol_sdm_onset downgr2_incl downgr2_aut $controls1 i.region_id $tclaim sdmhist1 $addcontrols1 if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
	
* Model 6
reg nviol_sdm_onset downgr2_incl downgr2_aut $controls1 i.countries_gwid $tclaim sdmhist1 $addcontrols1 if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
	
* Model 7
logit nviol_sdm_onset downgr2_incl downgr2_aut $controls2 i.region_id $tclaim sdmhist1 $addcontrols2 if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 8
reg nviol_sdm_onset downgr2_incl downgr2_aut $controls2 i.countries_gwid $tclaim sdmhist1 $addcontrols2 if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)


	

***********
** TABLE S7
***********


* Model 1
logit ucdp_nviol_sdm_onset status_excl lost_autonomy $controls1 i.region_id $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
	
* Model 2
reg ucdp_nviol_sdm_onset status_excl lost_autonomy $controls1 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
	
* Model 3
logit ucdp_nviol_sdm_onset status_excl lost_autonomy $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg ucdp_nviol_sdm_onset status_excl lost_autonomy $controls2 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)
	
* Model 5
logit ucdp_nviol_sdm_onset downgr2_incl downgr2_aut $controls1 i.region_id $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
	
* Model 6
reg ucdp_nviol_sdm_onset downgr2_incl downgr2_aut $controls1 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
	
* Model 7
logit ucdp_nviol_sdm_onset downgr2_incl downgr2_aut $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 8
reg ucdp_nviol_sdm_onset downgr2_incl downgr2_aut $controls2 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)

	
	
***********
** TABLE S8
***********

* Model 1
logit nviol_sdm_onset status_excl lost_aut_1900onw $controls1 i.region_id $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
	
* Model 2
reg nviol_sdm_onset status_excl lost_aut_1900onw $controls1 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
	
* Model 3
logit nviol_sdm_onset status_excl lost_aut_1900onw $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg nviol_sdm_onset status_excl lost_aut_1900onw $controls2 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)


	
	
***********
** TABLE S9
***********


* Model 1
logit nviol_sdm_onset downgr1_incl downgr1_aut $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 2
reg nviol_sdm_onset downgr1_incl downgr1_aut $controls2 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)
	
* Model 3
logit nviol_sdm_onset downgr3_incl downgr3_aut $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog

* Model 4
reg nviol_sdm_onset downgr3_incl downgr3_aut $controls2 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)
	
* Model 5
logit nviol_sdm_onset downgr5_incl downgr5_aut $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 6
reg nviol_sdm_onset downgr5_incl downgr5_aut $controls2 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)

	

************
** TABLE S10
************


* Model 1
logit nviol_sdm_onset status_powerless status_discrim lost_independence stranded lost_internalautonomy $controls1 i.region_id $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
* Wald tests of equality of coefficients
test status_powerless = status_discrim
test lost_independence = stranded
test lost_independence = lost_internalautonomy
test stranded = lost_internalautonomy	
	
* Model 2
reg nviol_sdm_onset status_powerless status_discrim lost_independence stranded lost_internalautonomy $controls1 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
* Wald tests of equality of coefficients
test status_powerless = status_discrim
test lost_independence = stranded
test lost_independence = lost_internalautonomy
test stranded = lost_internalautonomy		
	
* Model 3
logit nviol_sdm_onset status_powerless status_discrim lost_independence stranded lost_internalautonomy $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
* Wald tests of equality of coefficients
test status_powerless = status_discrim
test lost_independence = stranded
test lost_independence = lost_internalautonomy
test stranded = lost_internalautonomy		
	
* Model 4
reg nviol_sdm_onset status_powerless status_discrim lost_independence stranded lost_internalautonomy $controls2 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)
* Wald tests of equality of coefficients
test status_powerless = status_discrim
test lost_independence = stranded
test lost_independence = lost_internalautonomy
test stranded = lost_internalautonomy	


	
	
************
** TABLE S11
************


* Model 1
logit firstescal status_excl lost_autonomy $controls1 i.region_id $tescal, cl(countries_gwid) nolog

* Model 2
reg firstescal status_excl lost_autonomy $controls1 i.countries_gwid $tescal, cl(countries_gwid)
	
* Model 3
logit firstescal downgr2_incl downgr2_aut $controls1 i.region_id $tescal, cl(countries_gwid) nolog

* Model 4
reg firstescal downgr2_incl downgr2_aut $controls1 i.countries_gwid $tescal, cl(countries_gwid)

* Model 5
logit escal status_excl lost_autonomy $controls1 i.region_id $tescal, cl(countries_gwid) nolog
	
* Model 6
reg escal status_excl lost_autonomy $controls1 i.countries_gwid $tescal, cl(countries_gwid)

* Model 7
logit escal downgr2_incl downgr2_aut $controls1 i.region_id $tescal, cl(countries_gwid) nolog
	
* Model 8
reg escal downgr2_incl downgr2_aut $controls1 i.countries_gwid $tescal, cl(countries_gwid)
	

	
	
************
** TABLE S12
************


* Model 1
logit firstescal status_excl lost_autonomy i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog

* Model 2
reg firstescal status_excl lost_autonomy i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
	
* Model 3
logit firstescal downgr2_incl downgr2_aut i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg firstescal downgr2_incl downgr2_aut i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)

* Model 5
logit escal status_excl lost_autonomy i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 6
reg escal status_excl lost_autonomy i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)

* Model 7
logit escal downgr2_incl downgr2_aut i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 8
reg escal downgr2_incl downgr2_aut i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)

	

************
** TABLE S13
************


* Model 1 (India)
logit firstescal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 750, cl(countries_gwid) nolog
	
* Model 2 (India)
logit firstescal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 750, cl(countries_gwid) nolog
	
* Model 3 (India)
logit escal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 750, cl(countries_gwid) nolog
	
* Model 4 (India)
logit escal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 750, cl(countries_gwid) nolog

* Model 5 (Myanmar)
logit firstescal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 775, cl(countries_gwid) nolog
	
* Model 6 (Myanmar)
logit firstescal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 775, cl(countries_gwid) nolog
	
* Model 7 (Myanmar)
logit escal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 775, cl(countries_gwid) nolog
	
* Model 8 (Myanmar)
logit escal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 775, cl(countries_gwid) nolog

	
	
	
	
************
** TABLE S14	
************


* Model 1 (Iran)
logit firstescal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 630, cl(countries_gwid) nolog
	
* Model 2 (Iran)	
logit firstescal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 630, cl(countries_gwid) nolog
	
* Model 3 (Iran)
logit escal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 630, cl(countries_gwid) nolog
	
* Model 4 (Iran)
logit escal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 630, cl(countries_gwid) nolog
	
* Model 5 (Russia)
logit firstescal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 365, cl(countries_gwid) nolog
	
* Model 6 (Russia)
logit firstescal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 365, cl(countries_gwid) nolog
	
* Model 7 (Russia)
logit escal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 365, cl(countries_gwid) nolog
	
* Model 8 (Russia)
logit escal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & countries_gwid != 365, cl(countries_gwid) nolog

	
	
************
** TABLE S15
************


* Model 1
logit firstescal status_excl lost_autonomy $controls2 $addcontrols2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog

* Model 2
reg firstescal status_excl lost_autonomy $controls2 $addcontrols2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
	
* Model 3
logit firstescal downgr2_incl downgr2_aut $controls2 $addcontrols2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg firstescal downgr2_incl downgr2_aut $controls2 $addcontrols2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)

* Model 5
logit escal status_excl lost_autonomy $controls2 $addcontrols2 violsdhist_new i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 6
reg escal status_excl lost_autonomy $controls2 $addcontrols2 violsdhist_new i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)

* Model 7
logit escal downgr2_incl downgr2_aut $controls2 $addcontrols2 violsdhist_new i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 8
reg escal downgr2_incl downgr2_aut $controls2 $addcontrols2 violsdhist_new i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
	

	
	
************
** TABLE S16
************

* Model 1
logit firstescal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & ambiguous != 1, cl(countries_gwid) nolog

* Model 2
reg firstescal status_excl lost_autonomy $controls2 i.countries_gwid $tescal if geo_concentrated == 1 & ambiguous != 1, cl(countries_gwid)
	
* Model 3
logit firstescal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & ambiguous != 1, cl(countries_gwid) nolog
	
* Model 4
reg firstescal downgr2_incl downgr2_aut $controls2 i.countries_gwid $tescal if geo_concentrated == 1 & ambiguous != 1, cl(countries_gwid)

* Model 5
logit escal status_excl lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1 & ambiguous != 1, cl(countries_gwid) nolog
	
* Model 6
reg escal status_excl lost_autonomy $controls2 i.countries_gwid $tescal if geo_concentrated == 1 & ambiguous != 1, cl(countries_gwid)

* Model 7
logit escal downgr2_incl downgr2_aut $controls2 i.region_id $tescal if geo_concentrated == 1 & ambiguous != 1, cl(countries_gwid) nolog
	
* Model 8
reg escal downgr2_incl downgr2_aut $controls2 i.countries_gwid $tescal if geo_concentrated == 1 & ambiguous != 1, cl(countries_gwid)
	

	

************
** TABLE S17
************


* Model 1
logit firstescal_ucdp status_excl lost_autonomy $controls2 i.region_id $tescalucdp if geo_concentrated == 1, cl(countries_gwid) nolog

* Model 2
reg firstescal_ucdp status_excl lost_autonomy $controls2 i.countries_gwid $tescalucdp if geo_concentrated == 1, cl(countries_gwid)
	
* Model 3
logit firstescal_ucdp downgr2_incl downgr2_aut $controls2 i.region_id $tescalucdp if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg firstescal_ucdp downgr2_incl downgr2_aut $controls2 i.countries_gwid $tescalucdp if geo_concentrated == 1, cl(countries_gwid)

* Model 5
logit escal_ucdp status_excl lost_autonomy $controls2 i.region_id $tescalucdp if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 6
reg escal_ucdp status_excl lost_autonomy $controls2 i.countries_gwid $tescalucdp if geo_concentrated == 1, cl(countries_gwid)

* Model 7
logit escal_ucdp downgr2_incl downgr2_aut $controls2 i.region_id $tescalucdp if geo_concentrated == 1, cl(countries_gwid) nolog

* Model 8
reg escal_ucdp downgr2_incl downgr2_aut $controls2 i.countries_gwid $tescalucdp if geo_concentrated == 1, cl(countries_gwid)
	

	
	
	
************
** TABLE S18
************


* Model 1
logit firstescal status_excl lost_aut_1900onw $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog

* Model 2
reg firstescal status_excl lost_aut_1900onw $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
	
* Model 3
logit escal status_excl lost_aut_1900onw $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg escal status_excl lost_aut_1900onw $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)

	

	
************
** TABLE S19
************

	
* Model 1
logit firstescal downgr1_incl downgr1_aut $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 2
reg firstescal downgr1_incl downgr1_aut $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
	
* Model 3
logit firstescal downgr3_incl downgr3_aut $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg firstescal downgr3_incl downgr3_aut $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
	
* Model 5
logit firstescal downgr5_incl downgr5_aut $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 6
reg firstescal downgr5_incl downgr5_aut $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
	
* Model 7
logit escal downgr1_incl downgr1_aut $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 8
reg escal downgr1_incl downgr1_aut $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
	
* Model 9
logit escal downgr3_incl downgr3_aut $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 10
reg escal downgr3_incl downgr3_aut $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
	
* Model 11
logit escal downgr5_incl downgr5_aut $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 12
reg escal downgr5_incl downgr5_aut $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)

	
	

************
** TABLE S20
************



* Model 1
logit firstescal status_powerless status_discrim status_selfexclusion lost_independence stranded lost_internalautonomy $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
* Wald tests of equality of coefficients	
test status_powerless = status_discrim
test status_powerless = status_selfexclusion
test status_discrim = status_selfexclusion
test lost_independence = stranded
test lost_independence = lost_internalautonomy
test stranded = lost_internalautonomy	
	
* Model 2
reg firstescal status_powerless status_discrim status_selfexclusion lost_independence stranded lost_internalautonomy $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
* Wald tests of equality of coefficients	
test status_powerless = status_discrim
test status_powerless = status_selfexclusion
test status_discrim = status_selfexclusion
test lost_independence = stranded
test lost_independence = lost_internalautonomy
test stranded = lost_internalautonomy	
	
* Model 3
logit escal status_powerless status_discrim status_selfexclusion lost_independence stranded lost_internalautonomy $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
* Wald tests of equality of coefficients	
test status_powerless = status_discrim
test status_powerless = status_selfexclusion
test status_discrim = status_selfexclusion
test lost_independence = stranded
test lost_independence = lost_internalautonomy
test stranded = lost_internalautonomy		
	
* Model 4
reg escal status_powerless status_discrim status_selfexclusion lost_independence stranded lost_internalautonomy $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
* Wald tests of equality of coefficients	
test status_powerless = status_discrim
test status_powerless = status_selfexclusion
test status_discrim = status_selfexclusion
test lost_independence = stranded
test lost_independence = lost_internalautonomy
test stranded = lost_internalautonomy	


	
************	
** TABLE S21 
************

gen excl_lostaut = 0 if status_excl == 0 & lost_autonomy == 0	
replace excl_lostaut = 1 if status_excl == 1 & lost_autonomy == 0		
replace excl_lostaut = 2 if status_excl == 0 & lost_autonomy == 1	
replace excl_lostaut = 3 if status_excl == 1 & lost_autonomy == 1

tab excl_lostaut nviol_sdm_onset if exclacc == 0, row

drop excl_lostaut
	

	

************
** TABLE S22	
************	

gen excl_lostaut = 0 if status_excl == 0 & lost_autonomy == 0	
replace excl_lostaut = 1 if status_excl == 1 & lost_autonomy == 0		
replace excl_lostaut = 2 if status_excl == 0 & lost_autonomy == 1	
replace excl_lostaut = 3 if status_excl == 1 & lost_autonomy == 1

tab excl_lostaut firstescal, row
tab excl_lostaut escal, row

drop excl_lostaut
	
	


	
************
** TABLE S23	
************
	
tab status_excl viol_sdm_onset if isrelevant == 1 & exclacc == 0, row
tab lost_autonomy viol_sdm_onset if isrelevant == 1 & exclacc == 0, row
tab downgr2_incl viol_sdm_onset if isrelevant == 1 & exclacc == 0, row
tab downgr2_aut viol_sdm_onset if isrelevant == 1 & exclacc == 0, row
	
	
	
	
************
** TABLE S24	
************	
	
	
* Model 1	
logit violsd_onset status_excl lost_autonomy $controls1 i.region_id $tviol if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
	
* Model 2
reg violsd_onset status_excl lost_autonomy $controls1 i.countries_gwid $tviol if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
	
* Model 3
logit violsd_onset status_excl lost_autonomy $controls2 i.region_id $tviol if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 4
reg violsd_onset status_excl lost_autonomy $controls2 i.countries_gwid $tviol if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)
	
* Model 5	
logit violsd_onset downgr2_incl downgr2_aut $controls1 i.region_id $tviol if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
	
* Model 6
reg violsd_onset downgr2_incl downgr2_aut $controls1 i.countries_gwid $tviol if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
	
* Model 7
logit violsd_onset downgr2_incl downgr2_aut $controls2 i.region_id $tviol if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog

* Model 8
reg violsd_onset downgr2_incl downgr2_aut $controls2 i.countries_gwid $tviol if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)
	


************
** TABLE S25
************


* Model 1
mlogit nviolsd_violsd status_excl lost_autonomy $controls2 i.region_id lnviolsd1 lviolsd1 if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
	
* Model 2
mlogit nviolsd_violsd downgr2_incl downgr2_aut $controls2 i.region_id lnviolsd1 lviolsd1 if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog

	
	
	
******************
** FIGURES S1 & S2
******************

* See separate do-file




************
** FIGURE S3	
************

gen model = _n in 1/4
label define model 1 "Model 1" 2 "Model 2" 3 "Model 3" 4 "Model 4", replace
label values model model
gen sample = 1 in 1/2
replace sample = 2 in 3/4
label define sample 1 "All groups" 2 "Concentrated groups", replace
label values sample sample
gen pe = .
gen lower = .
gen upper = .

* Model 1
logit nviol_sdm_onset i.status_excl##i.lost_autonomy $controls1 i.region_id $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid) nolog
margins status_excl#lost_autonomy, vsquish noatlegend post
lincom (1.lost_autonomy#1.status_excl - 0.lost_autonomy#1.status_excl) - (1.lost_autonomy#0.status_excl - 0.lost_autonomy#0.status_excl)
replace pe = .0063437 if model == 1
replace lower = -.0003212 if model == 1
replace upper = .0130086 if model == 1

* Model 2
reg nviol_sdm_onset i.status_excl##i.lost_autonomy $controls1 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0, cl(countries_gwid)
replace pe = .00583787 if model == 2
replace lower =  -.0021111 if model == 2
replace upper = .0137867 if model == 2

* Model 3
logit nviol_sdm_onset i.status_excl##i.lost_autonomy $controls2 i.region_id $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid) nolog
margins status_excl#lost_autonomy, vsquish noatlegend post
lincom (1.lost_autonomy#1.status_excl - 0.lost_autonomy#1.status_excl) - (1.lost_autonomy#0.status_excl - 0.lost_autonomy#0.status_excl)
replace pe = .0042091 if model == 3
replace lower = -.0028831 if model == 3
replace upper = .0113014 if model == 3

* Model 4
reg nviol_sdm_onset i.status_excl##i.lost_autonomy $controls2 i.countries_gwid $tclaim if isrelevant == 1 & exclacc == 0 & geo_concentrated == 1, cl(countries_gwid)
replace pe = .0035602 if model == 4
replace lower =  -.0084973 if model == 4
replace upper = .0156177 if model == 4


* Graph second differences
twoway (scatter pe model, mcolor(black))  ///
	(rspike lower upper model, lcolor(black)) ///
	, ///
	by(sample, xrescale noixtick note("") legend(off) scale(1.3)) ///
	ytitle("{it:p}(nonviolent separatist claim onset)") yscale(noextend nofextend)  ///
	yline(0, lcolor(black)) ylabel(, angle(horizontal) nogrid) ///
	xtitle("") xscale(noline) xlabel(#2, valuelabel labgap(*3))  ///
	scheme(s2mono) plotregion(margin(vlarge)) ysize(5) xsize(6)	 
	
drop model - upper



************
** FIGURE S4
************

gen model = _n in 1/4
label define model 1 "Model 1" 2 "Model 2" 3 "Model 5" 4 "Model 6", replace
label values model model
gen sample = 1 in 1/2
replace sample = 2 in 3/4
label define sample 1 "First-time escalation" 2 "All escalations", replace
label values sample sample
gen pe = .
gen lower = .
gen upper = .

* Model 1
logit firstescal i.status_excl##i.lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
margins status_excl#lost_autonomy, vsquish noatlegend post
lincom (1.lost_autonomy#1.status_excl - 0.lost_autonomy#1.status_excl) - (1.lost_autonomy#0.status_excl - 0.lost_autonomy#0.status_excl)
replace pe = -.0011999 if model == 1
replace lower = -.0220876 if model == 1
replace upper = .0196878 if model == 1

* Model 2
reg firstescal i.status_excl##i.lost_autonomy $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
replace pe = -.0065152 if model == 2
replace lower =  -.0837646 if model == 2
replace upper = .0707341 if model == 2


* Model 5
logit escal i.status_excl##i.lost_autonomy $controls2 i.region_id $tescal if geo_concentrated == 1, cl(countries_gwid) nolog
margins status_excl#lost_autonomy, vsquish noatlegend post
lincom (1.lost_autonomy#1.status_excl - 0.lost_autonomy#1.status_excl) - (1.lost_autonomy#0.status_excl - 0.lost_autonomy#0.status_excl)
replace pe = -.0024387 if model == 3
replace lower = -.0226053 if model == 3
replace upper = .0177279 if model == 3

* Model 6
reg escal i.status_excl##i.lost_autonomy $controls2 i.countries_gwid $tescal if geo_concentrated == 1, cl(countries_gwid)
replace pe = .0101367 if model == 4
replace lower =  -.0391283 if model == 4
replace upper = .0594016 if model == 4

* Graph
twoway (scatter pe model, mcolor(black))  ///
	(rspike lower upper model, lcolor(black)) ///
	, ///
	by(sample, xrescale noixtick note("") legend(off) scale(1.3)) ///
	ytitle("{it:p}(escalation)") yscale(noextend nofextend)  ///
	yline(0, lcolor(black)) ylabel(, angle(horizontal) nogrid) ///
	xtitle("") xscale(noline) xlabel(#2, valuelabel labgap(*3))  ///
	scheme(s2mono) plotregion(margin(vlarge)) ysize(5) xsize(6)	 				

drop model - upper
